<?php 

class Empresa {

    public function CadastrarEmpresa(){
        global $database;

        if(isset($_POST['submit'])){

            $nome = $_POST['nome'];
            $endereco = $_POST['endereco'];
            $nuit = $_POST['nuit'];
            $contactos = $_POST['contactos'];
            $email = $_POST['email'];
            $logotipo = $_FILES['logotipo']['name'];
            $logotipo_tmp = $_FILES['logotipo']['tmp_name'];
            move_uploaded_file($logotipo_tmp,"img/$logotipo");

            if($sql = $database->query("INSERT INTO empresas(nome,endereco,nuit,contactos,email,logotipo)
            VALUES('$nome','$endereco','$nuit','$contactos','$email','$logotipo')")){
                echo "<script>alert('Empresa cadastrada com sucesso')</script>";
                echo "<script>window.open('empresas.php','_self')</script>";
            }else{
                echo "<script>alert('Erro no cadastro da empresa')</script>";
                echo "<script>window.open('empresas.php','_self')</script>";
            }
        }
    }

    public function UpdateEmpresa($id){
        global $database;
        if(isset($_POST['update'])){
            $nome = $_POST['nome'];
            $endereco = $_POST['endereco'];
            $nuit = $_POST['nuit'];
            $contactos = $_POST['contactos'];
            $email = $_POST['email'];
            $logotipo = $_FILES['logotipo']['name'];
            $logotipo_tmp = $_FILES['logotipo']['tmp_name'];
            move_uploaded_file($logotipo_tmp,"img/$logotipo");

            if($sql = $database->query("UPDATE empresas SET nome='$nome',endereco='$endereco',nuit='$nuit',contactos='$contactos',email='$email',logotipo='$logotipo' WHERE id='$id'")){
                echo "<script>alert('Empresa Actualizada com sucesso')</script>";
                echo "<script>window.open('empresas.php','_self')</script>";
            }else{
               echo "<script>alert('FALHA AO ACTUALIZAR USUSARIO')</script>";
                echo "<script>window.open('empresas.php','_self')</script>"; 
            }
        }
    }

    public function ListarEmpresa(){
        global $database;
        $sql = $database->query("SELECT * FROM empresas");
        return $sql;
    }

    public function Apagar(){
        global $database;
     if(isset($_GET['id']) && !empty($_GET['id'])){
        $id = $_GET['id'];

        $sql = $database->query("DELETE FROM empresas WHERE id='$id'");
        echo "<script>window.open('empresas.php','_self')</script>";
     }
    }


}

$novaEmpresa = new Empresa();
?>